Name:           libgames-support
Version:        1.0.2
Release:        1%{?dist}
Summary:        Support library for GNOME games

License:        LGPLv3+
URL:            https://git.gnome.org/browse/libgames-support/
Source0:        http://download.gnome.org/sources/libgames-support/1.0/libgames-support-%{version}.tar.xz


BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(gio-2.0) >= 2.40
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  intltool


%description
libgames-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make V=1 %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc README
%license COPYING.LESSER
%{_libdir}/*.so.*

%files devel
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*.vapi
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat May  7 2016 Yanko Kaneti <yaneti@declera.com> - 1.0.2-1
- Update to 1.0.2

* Fri Apr  8 2016 Yanko Kaneti <yaneti@declera.com> - 1.0.1-1
- Update to 1.0.1

* Mon Mar 21 2016 Yanko Kaneti <yaneti@declera.com> - 1.0-1
- Update to 1.0. Bump gtk+ requirement

* Mon Mar  7 2016 Yanko Kaneti <yaneti@declera.com> - 0.91-1
- Update to 0.91

* Mon Feb 15 2016 Yanko Kaneti <yaneti@declera.com> - 0.90-1
- Update to 0.90

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Kalev Lember <klember@redhat.com> - 0.2-1
- Update to 0.2

* Tue Sep 22 2015 Yanko Kaneti <yaneti@declera.com> - 0.1-1
- First official release

* Mon Sep 21 2015 Yanko Kaneti <yaneti@declera.com> - 0.1-0.6.5cd3cd3
- Recent master

* Tue Sep  1 2015 Yanko Kaneti <yaneti@declera.com> - 0.1-0.5.68f65c7
- Recent master

* Tue Aug 18 2015 Yanko Kaneti <yaneti@declera.com> - 0.1-0.4.ba37c3c
- Recent master

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.3.8654371
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 21 2015 Yanko Kaneti <yaneti@declera.com> - 0.1-0.2.8654371
- Latest master. Address review comments #1195614

* Mon Feb 16 2015 Yanko Kaneti <yaneti@declera.com> - 0.1-0.1.ff5f3d4
- Packaging attempt
